.checkbox-holder {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;

  input[type="checkbox"].checkbox__input {
    opacity: 0;
    z-index: 1;
    cursor: pointer;
    width: 17px;
    height: 17px;
    margin: 0;
    margin-top: 6px;

    &:focus,
    &:hover,
    &:checked,
    &:active {
      outline: 0;
    }

    &:focus + label.checkbox__content::before {
      outline: thin dotted;
      outline: 5px auto -webkit-focus-ring-color;
      outline-offset: -2px;
    }

    &:checked + label.checkbox__content::after {
      font-family: "FontAwesome";
      content: "\f00c";
      margin-top: 1px;
      font-size: var(--font-s);
    }

    &:indeterminate + label.checkbox__content::after {
      display: block;
      content: "";
      width: 10px;
      height: 3px;
      background-color: #555555;
      border-radius: 2px;
      margin-left: -16.5px;
      margin-top: 7px;
    }

    &:disabled {
      cursor: not-allowed;
    }

    &:disabled + label.checkbox__content {
      opacity: 0.65;
    }

    &:disabled + label.checkbox__content::before {
      background-color: #eeeeee;
      cursor: not-allowed;
    }
  }

  label.checkbox__content {
    outline: 0;
    font-size: var(--font-xs);
    font-weight: 500;
    margin: 6px 0 0 0;
    padding: 0;
    margin-left: 5px;
    margin-top: 5px;
    white-space: normal;
    overflow: visible;


    &::after {
      outline: 0;
      display: inline-block;
      position: absolute;
      width: 18px;
      height: 18px;
      left: 0;
      top: 5px;
      padding-left: 3px;
      padding-top: 1px;
      font-size: 11px;
      color: #fff;
      background-color: var(--primary);
    }

    &::before {
      outline: 0;
      content: "";
      display: inline-block;
      position: absolute;
      width: 18px;
      height: 18px;
      left: 0;
      top: 5px;
      border: 1px solid var(--primary);
      border-radius: 0px;
      background-color: #fff;

      -webkit-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
      -o-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
      transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
    }
  }
}
